## pynx 2025.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ybuild

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyNX.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyNX.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyNX"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyNX"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## pynx 2024.1

=== debian/changelog ===
pynx (2024.1-1) unstable; urgency=medium

  * d/watch: fixed with the new gitlab repository
  * New upstream version 2024.1
  * d/p/0001-fix-sincos_ps_new-missing.patch: Added to fix FTBFS
  * d/control: Added B-D build dependencies for the new version.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 25 Jun 2024 12:39:29 +0200

pynx (2023.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #1065481)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 21 Sep 2017 13:13:04 +0200

=== debian/control ===
Source: pynx
Section: science
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 python3-sphinx-argparse <!nodoc>,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pandoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-fabio,
 python3-h5py,
 python3-hdf5plugin,
 python3-mako,
 python3-matplotlib,
 python3-nabu,
 python3-nbsphinx <!nodoc>,
 python3-nbsphinx-link <!nodoc>,
 python3-networkx <!nodoc>,
 python3-numba,
 python3-numexpr,
 python3-numpy,
 python3-nxtomo,
 python3-packaging,
 python3-pooch,
 python3-psutil,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-pyopencl,
 python3-pyvkfft,
 python3-scipy,
 python3-setuptools,
 python3-silx,
 python3-skimage,
 python3-sklearn,
 python3-sphinx <!nodoc>,
 python3-sphinx-argparse <!nodoc>,
 python3-tk <!nodoc>,
 python3-tomoscan,
 sphinx-common,
Standards-Version: 4.1.1
Homepage: https://gitlab.esrf.fr/favre/PyNX

Package: pynx
Architecture: all
Depends:
 python3-pynx (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Python tools for Nano-structures Crystallography (Scripts)
 PyNX stands for *Python tools for Nano-structures Crystallography*.
 It is a python library with the following main modules:
 .
 1) pynx.scattering: *X-ray scattering computing using graphical
 processing units*, allowing up to 2.5x10^11 reflections/atoms/seconds
 (single nVidia Titan X). The sub-module``pynx.scattering.gid`` can be
 used for *Grazing Incidence Diffraction* calculations, using the
 Distorted Wave Born Approximation
 .
 2) pynx.ptycho : simulation and analysis of experiments using the
 *ptychography* technique, using either CPU (deprecated) or GPU using
 OpenCL.  Examples are available in the pynx/Examples
 directory. Scripts for analysis of raw data from beamlines are also
 available, as well as using or producing ptychography data sets in
 CXI (Coherent X-ray Imaging) format.
 .
 3) pynx.wavefront: *X-ray wavefront propagation* in the near, far
 field, or continuous (examples available at the end of
 ``wavefront.py``).  Also provided are sub-modules for Fresnel
 propagation and simulation of the illumination from a Fresnel Zone
 Plate, both using OpenCL for high performance computing.
 .
 4) pynx.cdi: *Coherent Diffraction Imaging* reconstruction algorithms
 using GPU.
 .
 In addition, it includes :doc:`scripts <scripts/index>` for
 command-line processing of ptychography data from generic CXI data
 (pynx-ptycho-cxi) or specific to beamlines (pynx-ptycho-id01,
 pynx-ptycho-id13,...).

Package: python3-pynx
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-pynx-doc,
Description: Python tools for Nano-structures Crystallography (Python 3)
 PyNX stands for *Python tools for Nano-structures Crystallography*.
 It is a python library with the following main modules:
 .
 1) pynx.scattering: *X-ray scattering computing using graphical
 processing units*, allowing up to 2.5x10^11 reflections/atoms/seconds
 (single nVidia Titan X). The sub-module``pynx.scattering.gid`` can be
 used for *Grazing Incidence Diffraction* calculations, using the
 Distorted Wave Born Approximation
 .
 2) pynx.ptycho : simulation and analysis of experiments using the
 *ptychography* technique, using either CPU (deprecated) or GPU using
 OpenCL.  Examples are available in the pynx/Examples
 directory. Scripts for analysis of raw data from beamlines are also
 available, as well as using or producing ptychography data sets in
 CXI (Coherent X-ray Imaging) format.
 .
 3) pynx.wavefront: *X-ray wavefront propagation* in the near, far
 field, or continuous (examples available at the end of
 ``wavefront.py``).  Also provided are sub-modules for Fresnel
 propagation and simulation of the illumination from a Fresnel Zone
 Plate, both using OpenCL for high performance computing.
 .
 4) pynx.cdi: *Coherent Diffraction Imaging* reconstruction algorithms
 using GPU.
 .
 In addition, it includes :doc:`scripts <scripts/index>` for
 command-line processing of ptychography data from generic CXI data
 (pynx-ptycho-cxi) or specific to beamlines (pynx-ptycho-id01,
 pynx-ptycho-id13,...).
 .
 This package installs the library for Python 3.

Package: python-pynx-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python tools for Nano-structures Crystallography (common documentation)
 PyNX stands for *Python tools for Nano-structures Crystallography*.
 It is a python library with the following main modules:
 .
 1) pynx.scattering: *X-ray scattering computing using graphical
 processing units*, allowing up to 2.5x10^11 reflections/atoms/seconds
 (single nVidia Titan X). The sub-module``pynx.scattering.gid`` can be
 used for *Grazing Incidence Diffraction* calculations, using the
 Distorted Wave Born Approximation
 .
 2) pynx.ptycho : simulation and analysis of experiments using the
 *ptychography* technique, using either CPU (deprecated) or GPU using
 OpenCL.  Examples are available in the pynx/Examples
 directory. Scripts for analysis of raw data from beamlines are also
 available, as well as using or producing ptychography data sets in
 CXI (Coherent X-ray Imaging) format.
 .
 3) pynx.wavefront: *X-ray wavefront propagation* in the near, far
 field, or continuous (examples available at the end of
 ``wavefront.py``).  Also provided are sub-modules for Fresnel
 propagation and simulation of the illumination from a Fresnel Zone
 Plate, both using OpenCL for high performance computing.
 .
 4) pynx.cdi: *Coherent Diffraction Imaging* reconstruction algorithms
 using GPU.
 .
 In addition, it includes :doc:`scripts <scripts/index>` for
 command-line processing of ptychography data from generic CXI data
 (pynx-ptycho-cxi) or specific to beamlines (pynx-ptycho-id01,
 pynx-ptycho-id13,...).
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# How to recursively find all files with the same name in a given folder
rwildcard=$(wildcard $1$2) $(foreach d,$(wildcard $1*),$(call rwildcard,$d/,$2))
ALL_PYX := $(call rwildcard,pynx/,*.pyx)
#NOTA: No space before *

export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/ {destdir}/usr/pynx/
export PYBUILD_DISABLE=test
export PYBUILD_NAME=pynx

%:
	dh $@ --buildsystem=pybuild


execute_after_dh_clean:
	rm -f $(patsubst %.pyx,%.c,${ALL_PYX})

execute_after_dh_auto_install:
        # install scripts
	python3 setup.py install_scripts -d debian/pynx/usr/bin

override_dh_auto_test: export http_proxy=127.0.0.1:9
override_dh_auto_test: export https_proxy=127.0.0.1:9
override_dh_auto_test:
	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} {interpreter} pynx/scripts/pynx-test.py"

override_dh_sphinxdoc:
# do not build until sphinx_link is available in Debian
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml . build/html" dh_auto_build  # HTML generator
	dh_installdocs "doc/build/html" -p python-pynx-doc
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## pynx 2024.1.1

=== debian/changelog ===
pynx (2024.1.1-6) unstable; urgency=medium

  * Added autopkgtests (flaky for now)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Jan 2025 12:46:20 +0100

pynx (2024.1.1-5) unstable; urgency=medium

  * d/control
    - hadcode the h5py and hdf5plugin dependecy
    - use at least the backported fabio.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Jan 2025 11:45:33 +0100

pynx (2024.1.1-4) unstable; urgency=medium

  * relax also pyopencl

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Jan 2025 11:21:24 +0100

pynx (2024.1.1-3) unstable; urgency=medium

  * d/control: B-D on pyvkfft >= 2024.1.4+ds-3.1~
  * relax scipy dependency to make the package backportable on bookworm

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 18 Jan 2025 11:11:49 +0100

pynx (2024.1.1-2) unstable; urgency=medium

  * Upstream snapshot
  * debian/patches/0001-support-for-SOLEIL-hermes-beamline.pa
  * d/control: B-D removed python3-numba whcih is optional.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 09 Jan 2025 16:07:21 +0100

pynx (2024.1.1-1) unstable; urgency=medium

  * New upstream version 2024.1.1
  * d/p/0001-fix-hermes-ptycho.patch: Added to fix the hermes code.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 18 Sep 2024 10:23:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: science
 Priority: optional
 Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
-Uploaders: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
-           Picca Frédéric-Emmanuel <picca@debian.org>
+Uploaders:
+ Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
+ Picca Frédéric-Emmanuel <picca@debian.org>,
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-numpy3,
- python3-sphinx-argparse <!nodoc>,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  pandoc <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all-dev,
- python3-fabio,
+ python3-fabio (>= 2023.6.0-3~),
  python3-h5py,
  python3-hdf5plugin,
  python3-mako,
@@ -24,7 +24,6 @@
  python3-nbsphinx <!nodoc>,
  python3-nbsphinx-link <!nodoc>,
  python3-networkx <!nodoc>,
- python3-numba,
  python3-numexpr,
  python3-numpy,
  python3-nxtomo,
@@ -33,7 +32,7 @@
  python3-psutil,
  python3-pydata-sphinx-theme <!nodoc>,
  python3-pyopencl,
- python3-pyvkfft,
+ python3-pyvkfft (>= 2024.1.4+ds-3.1~),
  python3-scipy,
  python3-setuptools,
  python3-silx,
@@ -91,6 +90,10 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+# for bookworm-backports
+ python3-fabio (>= 2023.6.0-3~),
+ python3-h5py,
+ python3-hdf5plugin,
 Suggests:
  python-pynx-doc,
 Description: Python tools for Nano-structures Crystallography (Python 3)

=== debian/tests/control ===
# flaky test for now

Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 pocl-opencl-icd,
 pynx,
 python3-all,
 @,
 xauth,
 xvfb,
Restrictions: allow-stderr, flaky

## pynx 2025.1

=== debian/changelog ===
pynx (2025.1-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Oct 2025 14:58:45 +0000

pynx (2025.1-2) unstable; urgency=medium

  * d/t/control: marks test as skip-not-installable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 11 Mar 2025 12:26:31 +0100

pynx (2025.1-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove duplicate tag
  * apply Multi-Arch hint
  * add Vcs-Browser & Vcs-Git tags

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 2025.1
  * Bug fix: "Python SyntaxWarning", thanks to Graham Inggs (Closes:
    #1085817).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 10 Feb 2025 14:30:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 override_dh_auto_test: export http_proxy=127.0.0.1:9
 override_dh_auto_test: export https_proxy=127.0.0.1:9
 override_dh_auto_test:
-	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} {interpreter} pynx/scripts/pynx-test.py"
+	dh_auto_test -- -s custom --test-args="PYTHONPATH={build_dir} {interpreter} pynx/scripts/pynx_test.py"
 
 override_dh_sphinxdoc:
 # do not build until sphinx_link is available in Debian

=== debian/tests/control ===
--- 
+++ 
@@ -10,4 +10,4 @@
  @,
  xauth,
  xvfb,
-Restrictions: allow-stderr, flaky
+Restrictions: allow-stderr, flaky, skip-not-installable
